Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

update spree dependency to 0.60.x, remove spree_auth dependency, use …

…dummier 0.2.0, capybara 1.0.0, and other more recent gems
  • Loading branch information...
commit 826554287ba1ae468e0212201cc43394c4ca0724 1 parent a6caa51
Spencer Steffen citrus authored
2  .gitignore
@@ -5,5 +5,5 @@
5 5 .DS_Store
6 6 Gemfile.lock
7 7 pkg/*
8   -lib/dummy_hooks/after_migrate.rb
  8 +test/dummy_hooks/after_migrate.rb
9 9 test/dummy
1  lib/dummy_hooks/after_migrate.rb.sample
... ... @@ -1 +0,0 @@
1   -rake "db:migrate db:seed db:sample", :env => "development"
1  lib/spree_essentials.rb
... ... @@ -1,5 +1,4 @@
1 1 require 'spree_core'
2   -require 'meta_search'
3 2 require 'rdiscount'
4 3
5 4 module SpreeEssentials
17 spree_essentials.gemspec
@@ -11,24 +11,21 @@ Gem::Specification.new do |s|
11 11 s.summary = %q{Spree Essentials provides a base for several other Spree Commerce extensions. See readme for details...}
12 12 s.description = %q{Spree Essentials provides a base for several other Spree Commerce extensions. The idea is to provide other extensions with common functionality such as an asset-upload interface, a markdown editor, and a common admin-navigation tab.}
13 13
14   - s.files = Dir['CHANGELOG.md', 'README.md', 'LICENSE', 'config/**/*', 'lib/**/*', 'app/**/*', 'public/**/*', 'Rakefile']
  14 + s.files = Dir['CHANGELOG', 'README.md', 'LICENSE', 'config/**/*', 'lib/**/*', 'app/**/*', 'public/**/*', 'Rakefile']
15 15 s.test_files = Dir['test']
16 16
17 17 s.require_paths = ["lib"]
18 18
19 19 # Spree
20   - s.add_dependency('spree_core', '>= 0.30.0')
21   - s.add_dependency('meta_search','>= 1.0.1')
  20 + s.add_dependency('spree_core', '>= 0.60.0')
22 21 s.add_dependency('rdiscount', '>= 1.6.8')
23 22
24 23 # Development
25 24 s.add_development_dependency('shoulda', '>= 2.11.3')
26   - s.add_development_dependency('dummier', '>= 0.1.1')
27   - s.add_development_dependency('factory_girl', '>= 2.0.0.beta2')
28   - s.add_development_dependency('cucumber', '>= 0.10.2')
29   - s.add_development_dependency('capybara', '>= 0.4.1')
30   - s.add_development_dependency('selenium-webdriver', '>= 0.1.3')
31   - s.add_development_dependency('sqlite3', '>= 1.3.3')
32   - s.add_development_dependency('spork', '>= 0.9.0.rc8')
  25 + s.add_development_dependency('dummier', '>= 0.2.0')
  26 + s.add_development_dependency('factory_girl', '>= 2.0.0.beta4')
  27 + s.add_development_dependency('capybara', '>= 1.0.0')
  28 + s.add_development_dependency('sqlite3', '>= 1.3.3')
  29 + s.add_development_dependency('spork', '>= 0.9.0.rc9')
33 30 s.add_development_dependency('spork-testunit', '>= 0.0.5')
34 31 end
1  test/dummy_hooks/after_migrate.rb.sample
... ... @@ -0,0 +1 @@
  1 +rake "db:migrate db:seed", :env => "development"
7 lib/dummy_hooks/before_migrate.rb → test/dummy_hooks/before_migrate.rb
... ... @@ -1,10 +1,5 @@
1 1 # install spree and migrate db
2   -
3   -say_status "installing", "spree_core, spree_auth"
4   -
5   -run "rake spree_core:install spree_auth:install"
6   -
7   -say_status "installing", "spree_essentials"
  2 +run "rake spree_core:install"
8 3 run "rails g spree_essentials:install"
9 4
10 5 copy_file "test.pdf", "public/test.pdf"
0  lib/dummy_hooks/templates/test.pdf → test/dummy_hooks/templates/test.pdf
File renamed without changes
0  lib/dummy_hooks/templates/test.zip → test/dummy_hooks/templates/test.zip
File renamed without changes

0 comments on commit 8265542

Please sign in to comment.
Something went wrong with that request. Please try again.